#!/sw/bin/dbwish -f

#
# about window
#
proc about { program version args} {
    set w .about
    catch "destroy $w"
    toplevel $w

    regsub -all \\$ $version "" version 
    regsub "Revision: " $version "" version 

    label $w.program \
	-text "$program\nVersion $version" \
	-font -*-helvetica-bold-r-*-*-*-240-*-*-*-*-*-*
    pack $w.program -side top -fill x -anchor center

    global env
    foreach dir [split $env(PATH) :] {
	if { [file executable $dir/$program] } {
	    file stat $dir/$program stat
	    set date [strdate $stat(mtime)]
	    label $w.date \
		-text "May 31, 2007" \
		-font -*-helvetica-bold-r-*-*-*-140-*-*-*-*-*-*
	    pack $w.date -side top -fill x -anchor center
	    break 
	}
    }

    label $w.release \
	-text "Antelope Release 4.9 Linux SuSE 9.3 (i586) 2.6.11.4 2007-05-31 " \
	-font -*-helvetica-bold-r-*-*-*-160-*-*-*-*-*-*
    pack $w.release -side top -fill x -anchor center

    set icon $env(ANTELOPE)/data/icons/brtt_logo.gif
    set icon [image create photo -file $icon]
    
    label $w.brtt \
	-text "Boulder Real Time Technologies, Inc" \
	-image $icon \
	-fg red \
	-font -*-helvetica-bold-r-*-*-*-140-*-*-*-*-*-*
    pack $w.brtt -side top -fill x -anchor center

    set details {2045 Broadway, Suite 400
Boulder, CO 80302
http://www.brtt.com 
support@brtt.com
303/442-4946}

    label $w.details \
	-text $details \
	-font -*-helvetica-bold-r-*-*-*-140-*-*-*-*-*-*
    pack $w.details -side top -fill x -anchor center

    button $w.dismiss -text Dismiss -command "wm withdraw $w"
    pack $w.dismiss -side top -anchor center
 
    wm title $w "About $program"
    }


# \$Id: about.tcl.id,v 1.2 2004/03/05 04:07:00 danq Exp $ 
